<!doctype html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>JavaScript HW 3</title>
</head>
<body>
<script>
    "use strict";

    function numbersCalculations(number1, number2, operation) {
        switch (operation) {
            case "+":
                let theSum = +number1 + +number2;
                return("The sum (+) is: " + theSum);
            case "-":
                let theSubtraction = number1 - number2;
                return("The subtraction (-) is: " + theSubtraction);
            case "*":
                let theMultiplication = number1 * number2;
                return("The multiplication (*) is: " + theMultiplication);
            case "/":
                let theDivision = number1 / number2;
                return("The division (/) is: " + theDivision);
            default:
                return("Something went wrong :( Please, try again!");
        }
    }

    let number1 = prompt("Please, enter the first number below:");
    while (isNaN(number1) || number1 === null || number1 === "") {
        number1 = prompt("Please, enter the correct data below (first number):", number1);
    }

    let number2 = prompt("Please, enter the second number below:");
    while (isNaN(number2) || number2 === null || number2 === "") {
        number2 = prompt("Please, enter the correct data below (second number):", number2);
    }

    let operation = prompt("Please, enter the operation below (+, -, *, /):");
    while (operation !== "+" && operation !== "-" && operation !== "*" && operation !== "/") {
        operation = prompt("Please, choose between the operations (+, -, *, /):", operation)
    }

    alert(numbersCalculations(number1, number2, operation));
    console.log(numbersCalculations(50, 50, "+"));
    console.log(numbersCalculations(75, -25, "-"));
    console.log(numbersCalculations(25, 4, "*"));
    console.log(numbersCalculations(500, 5, "/"));
</script>
</body>
</html>

<!--Функция - это инструмент, использование которого дает возможность создавать шаблон (алгоритм) выполнения-->
<!--определенных манипуляций с данными. Таким образом, когда мы нуждаемся в воспроизведении тех же шагов в-->
<!--отношении другого набора данных, мы вызываем уже написанную и используемую ранее функцию. Такой подход-->
<!--позволяет упорядочить код, и не писать для каждого нового набора данных те же инструкции заново.-->

<!--Указание параметров функции позволяет передавать в нее нужные нам аргументы (во время ее вызова).-->
<!--Переданные нами аргументы будут определяться в функции как локальные переменные.-->
